/// <reference types="node" />
/// <reference types="ws" />
import { EventEmitter } from 'events';
import { Agent } from 'http';
import IsomorphicWebSocket from 'isomorphic-ws';
import { Inflates, Buffer } from './buffer';
import { LiveOptions, Live } from './common';
export declare type WSOptions = LiveOptions & {
    address?: string;
    agent?: Agent;
};
export declare const isNode = true;
declare class WebSocket extends EventEmitter {
    ws: IsomorphicWebSocket;
    constructor(address: string, ...args: any[]);
    get readyState(): 0 | 3 | 1 | 2;
    send(data: Buffer): void;
    close(code?: number, data?: string): void;
}
export declare class LiveWSBase extends Live {
    ws: InstanceType<typeof WebSocket>;
    constructor(inflates: Inflates, roomid: number, { address, protover, key, agent }?: WSOptions);
}
export {};
